Package org.opensaml.xacml.impl

# Class AbstractXACMLObjectUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.xacml.impl.AbstractXACMLObjectUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `ActionMatchTypeUnmarshaller`, `ActionsTypeUnmarshaller`, `ActionTypeUnmarshaller`, `ActionTypeUnmarshaller`, `ApplyTypeUnmarshaller`, `AttributeDesignatorTypeUnmarshaller`, `AttributeSelectorTypeUnmarshaller`, `AttributeTypeUnmarshaller`, `AttributeValueTypeUnmarshaller`, `AttributeValueTypeUnmarshaller`, `CombinerParametersTypeUnmarshaller`, `CombinerParameterTypeUnmarshaller`, `ConditionTypeUnmarshaller`, `DecisionTypeUnmarshaller`, `DefaultsTypeUnmarshaller`, `DescriptionTypeUnmarshaller`, `EnvironmentMatchTypeUnmarshaller`, `EnvironmentsTypeUnmarshaller`, `EnvironmentTypeUnmarshaller`, `EnvironmentTypeUnmarshaller`, `FunctionTypeUnmarshaller`, `MissingAttributeDetailTypeUnmarshaller`, `ObligationsTypeUnmarshaller`, `ObligationTypeUnmarshaller`, `PolicySetTypeUnmarshaller`, `PolicyTypeUnmarshaller`, `RequestTypeUnmarshaller`, `ResourceContentTypeUnmarshaller`, `ResourceMatchTypeUnmarshaller`, `ResourcesTypeUnmarshaller`, `ResourceTypeUnmarshaller`, `ResourceTypeUnmarshaller`, `ResponseTypeUnmarshaller`, `ResultTypeUnmarshaller`, `RuleCombinerParametersTypeUnmarshaller`, `RuleTypeUnmarshaller`, `StatusCodeTypeUnmarshaller`, `StatusDetailTypeUnmarshaller`, `StatusMessageTypeUnmarshaller`, `StatusTypeUnmarshaller`, `SubjectMatchTypeUnmarshaller`, `SubjectsTypeUnmarshaller`, `SubjectTypeUnmarshaller`, `SubjectTypeUnmarshaller`, `TargetTypeUnmarshaller`, `VariableDefinitionTypeUnmarshaller`, `VariableReferenceTypeUnmarshaller`

public abstract class AbstractXACMLObjectUnmarshaller extends AbstractXMLObjectUnmarshaller
An thread safe abstract unmarshaller. This abstract marshaller only works with `AbstractXACMLObject`.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractXACMLObjectUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractXACMLObjectUnmarshaller

public AbstractXACMLObjectUnmarshaller()